Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class If

    java.lang.Object
      org.apache.commons.scxml.model.Action
          org.apache.commons.scxml.model.If

All Implemented Interfaces:
  NamespacePrefixesHolder, Serializable

public class If
extends Action

The class in this SCXML object model that corresponds to the <if> SCXML element, which serves as a container for conditionally executed elements. <else> and <elseif> can optionally appear within an <if> as immediate children, and serve to partition the elements within an <if>.

See Also:
  Serialized Form

Constructor Summary
`If()` Constructor.

Method Summary
`void` | `addAction(Action action)` Add an Action to the list of executable actions contained in this <if>.
`void` | `execute(EventDispatcher evtDispatcher, ErrorReporter errRep, SCInstance scInstance, org.apache.commons.logging.Log appLog, Collection derivedEvents)` Execute this action instance.
`List` | `getActions()` Get the executable actions contained in this <if>.
`String` | `getCond()` Get the conditional expression.
`void` | `setCond(String cond)` Set the conditional expression.

Methods inherited from class org.apache.commons.scxml.model.Action
`getNamespaces, getNamespacesKey, getParent, getParentState, setNamespaces, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### If

    public If()

  Constructor.

Method Detail

### getActions

    public final List getActions()

  Get the executable actions contained in this <if>.

  Returns:
    Returns the actions.

### addAction

    public final void addAction(Action action)

  Add an Action to the list of executable actions contained in this <if>.

  Parameters:
    `action` - The action to add.

### getCond

    public final String getCond()

  Get the conditional expression.

  Returns:
    Returns the cond.

### setCond

    public final void setCond(String cond)

  Set the conditional expression.

  Parameters:
    `cond` - The cond to set.

### execute

    public void execute(EventDispatcher evtDispatcher,
                        ErrorReporter errRep,
                        SCInstance scInstance,
                        org.apache.commons.logging.Log appLog,
                        Collection derivedEvents)
                 throws ModelException,
                        SCXMLExpressionException

  Execute this action instance.

  Specified by:
    `execute` in class `Action`
  Parameters:
    `evtDispatcher` - The EventDispatcher for this execution instance
    `errRep` - The ErrorReporter to broadcast any errors during execution.
    `scInstance` - The state machine execution instance information.
    `appLog` - The application Log.
    `derivedEvents` - The collection to which any internal events arising from the execution of this action must be added.
  Throws:
    `ModelException` - If the execution causes the model to enter a non-deterministic state.
    `SCXMLExpressionException` - If the execution involves trying to evaluate an expression which is malformed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.